#ifndef __SPELLPOINTS_H__
#define __SPELLPOINTS_H__

#include "enum.h"


class SpellPoints
{
public:

	SpellPoints();
	SpellPoints(int fp, int wp, int ep, int lp);
	virtual ~SpellPoints();

	SpellPoints  operator+ (const SpellPoints& sp) const;
	SpellPoints& operator+=(const SpellPoints& sp);

	int  getFirePts() const;
	void setFirePts(int fp);
	int  incFirePts(int dFP);
	int  decFirePts(int dFP);

	int  getWaterPts() const;
	void setWaterPts(int wp);
	int  incWaterPts(int dWP);
	int  decWaterPts(int dWP);

	int  getEarthPts() const;
	void setEarthPts(int ep);
	int  incEarthPts(int dEP);
	int  decEarthPts(int dEP);

	int  getElecPts() const;
	void setElecPts(int lp);
	int  incElecPts(int dLP);
	int  decElecPts(int dLP);

private:

	int firePts;
	int waterPts;
	int earthPts;
	int elecPts;
};

#endif // __SPELLPOINTS_H__